package betterquesting.misc;

import betterquesting.core.BetterQuesting;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashSet;
import java.util.Set;
import net.minecraft.client.resources.IResourcePack;
import net.minecraft.client.resources.data.IMetadataSection;
import net.minecraft.client.resources.data.IMetadataSerializer;
import net.minecraft.util.ResourceLocation;
import org.apache.logging.log4j.Level;

/* loaded from: betterquesting_misc.jar:betterquesting/misc/QuestResourcesFolder.class */
public class QuestResourcesFolder implements IResourcePack {
    private static final File rootFolder = new File("config/betterquesting/resources/");

    public InputStream func_110590_a(ResourceLocation location) throws IOException {
        if (!func_110589_b(location)) {
            return null;
        }
        return new FileInputStream(new File(rootFolder.getPath() + "/" + location.func_110624_b(), location.func_110623_a()));
    }

    public boolean func_110589_b(ResourceLocation location) {
        File res = new File(rootFolder.getPath() + "/" + location.func_110624_b(), location.func_110623_a());
        return res.exists();
    }

    public Set<String> func_110587_b() {
        if (!rootFolder.exists()) {
            rootFolder.mkdirs();
        }
        String[] content = rootFolder.list();
        HashSet<String> folders = new HashSet<>();
        for (String s : content) {
            File f = new File(rootFolder, s);
            if (f.exists() && f.isDirectory()) {
                if (!f.getName().equals(f.getName().toLowerCase())) {
                    logNameNotLowercase(f.getName(), f.toString());
                } else {
                    folders.add(f.getName());
                }
            }
        }
        return folders;
    }

    public IMetadataSection func_135058_a(IMetadataSerializer meta, String s) throws IOException {
        return null;
    }

    public BufferedImage func_110586_a() throws IOException {
        return null;
    }

    public String func_130077_b() {
        return "BetterQuesting_folders";
    }

    protected void logNameNotLowercase(String name, String file) {
        BetterQuesting.logger.log(Level.WARN, "ResourcePack: ignored non-lowercase namespace: {} in {}", new Object[]{name, file});
    }
}
